org.apache.sysds.runtime.compress.utils

## Class DoubleIntListHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DoubleIntListHashMap

    public class DoubleIntListHashMap
    extends Object

This class provides a memory-efficient replacement for `HashMap<Double,IntArrayList>` for restricted use cases.

### Nested Class Summary

Nested Classes
`class` `DoubleIntListHashMap.DIListEntry`

### Field Summary

Fields
`static int` `hashMissCount`

### Constructor Summary

Constructors
Constructor and Description
`DoubleIntListHashMap()`
`DoubleIntListHashMap(int init_capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendValue(double key, int value)`
`void` `appendValue(double key, IntArrayList value)`
`ArrayList<DoubleIntListHashMap.DIListEntry>` `extractValues()`
`IntArrayList` `get(double key)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hashMissCount

    public static int hashMissCount

### Constructor Detail

#### DoubleIntListHashMap

    public DoubleIntListHashMap()

#### DoubleIntListHashMap

    public DoubleIntListHashMap(int init_capacity)

### Method Detail

#### size

    public int size()

#### get

    public IntArrayList get(double key)

#### appendValue

    public void appendValue(double key,
                            IntArrayList value)

#### appendValue

    public void appendValue(double key,
                            int value)

#### extractValues

    public ArrayList<DoubleIntListHashMap.DIListEntry> extractValues()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`